#### FORMAT

#### Synopsis

    HELP:   Integer format
    TYPE:   OVERLAY
    SYNTAX: FORMAT.{BIN(SIGNED,ENDIAN=SYSTEM/BIG/LITTLE/LOCAL)/BCD(SIGNED,TYPE=UNPACKED/PACKED/ZONED,ZONE=ANY/ASCII/EBCDIC)/STR(CHRSET=NONE/SYSTEM/ASCII/UCS1/UTF8/EBCDIC/UCS2BE/UTF16BE/UCS2LE/UTF16LE/UCS4BE/UTF32BE/UCS4LE/UTF32LE/LOCAL,BASE=num/BIN/B02/OCT/B08/DEC/B10/HEX/B16,GROUPSEPARATOR/MARKER=num/NON/OFF/SYSTEM/PERIOD/COMMA/SPACE/APOSTROPHE,VALUE='str')/ENUM(CHRSET(CCSID='str'/DEFAULT/ASCII/EBCDIC/SYSTEM/LOCAL,CASE=UPPER/LOWER/FOLD/SUPPER/SLOWER/USRTAB,COMBINED=NFD/NFC/AUTO/ON/OFF,USRTABLE='str'/NPAS/SEPA/DELA/DLAX,WHITESPACE=PRESERVE/REPLACE/COLLAPSE/REMOVE/TRAILING/LEADING/BOTH/NUMBER,ONEMAP),ITEM[(VALUE='str',NUMERICAL=num)...])}

#### Description

The overlay 'format' allows you to choose a binary representation for integer values. Depending on the format selected, different parameters can be set. See below for the options.